(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     26237,        786]
NotebookOptionsPosition[     23035,        677]
NotebookOutlinePosition[     24203,        715]
CellTagsIndexPosition[     24160,        712]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Quelques fonctions de base. Corrig\[EAcute]", "Title",
 FontSize->18],

Cell[CellGroupData[{

Cell["Question 1", "Subsubsection",
 FontSize->16],

Cell["Mots clefs : Random, Table, ListPlot, Map.", "Text"],

Cell[TextData[{
 "a) Tirez au hasard un nombre entier ",
 StyleBox["n",
  FontSlant->"Italic"],
 " compris entre 3 et 9.\nb) Tirez au hasard un nombre r\[EAcute]el \[Theta] \
compris entre 0 et \[Pi].\nc) Donnez les coordonn\[EAcute]es des ",
 StyleBox["n",
  FontSlant->"Italic"],
 " sommets d'un polygone inscrit dans un cercle de\[NonBreakingSpace]rayon \
unit\[EAcute] et centr\[EAcute] sur l'origine.\nd) Dessinez ce polygone.\ne) \
D\[EAcute]finissez une fonction ",
 StyleBox["f",
  FontSlant->"Italic"],
 " qui, appliqu\[EAcute]e \[AGrave] un point {",
 StyleBox["x,",
  FontSlant->"Italic"],
 " ",
 StyleBox["y",
  FontSlant->"Italic"],
 "}, fait subir une rotation d'angle \[Theta] \[AGrave] ce point.\nf) \
Appliquez cette fonction aux coordonn\[EAcute]es des ",
 StyleBox["n",
  FontSlant->"Italic"],
 " sommets de votre polygone.\ng) Dessinez les deux polygones : avant et apr\
\[EGrave]s rotation."
}], "Text"],

Cell["Question 1. Corrig\[EAcute]", "Text",
 FontSize->14],

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", 
   RowBox[{"Random", "[", 
    RowBox[{"Integer", ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "9"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Theta]", " ", "=", 
   RowBox[{"Random", "[", 
    RowBox[{"Real", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "Pi"}], "}"}]}], "]"}]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"s", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", "\[Alpha]", "]"}], ",", 
       RowBox[{"Sin", "[", "\[Alpha]", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Alpha]", ",", "0", ",", 
       RowBox[{"2", "Pi"}], ",", 
       RowBox[{"2", 
        RowBox[{"Pi", "/", "n"}]}]}], "}"}]}], "]"}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"s", ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"Axes", "\[Rule]", "None"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{3.693047000450008*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], 
     LineBox[{{1., 0.}, {0., 1.}, {-1., 0.}, {0., -1.}, {1., 
      0.}}]}}, {}, {}, {{}, {}}},
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-1., 1.}, {-1., 1.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.693047020126171*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"m", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
        RowBox[{"-", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], ",", 
        RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}]}], "}"}]}], ";"}], 
  "  "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"{", 
    RowBox[{"x_", ",", "y_"}], "}"}], "]"}], ":=", 
  RowBox[{"m", ".", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y"}], "}"}]}]}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"s1", "=", 
   RowBox[{"Map", "[", 
    RowBox[{"f", ",", "s"}], "]"}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"s1", ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"Axes", "\[Rule]", "None"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6930470061641006`*^9, 3.693047007750194*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], 
     LineBox[{{-0.8015309209600329, 
      0.5979533282330333}, {-0.5979533282330333, -0.8015309209600329}, {
      0.8015309209600329, -0.5979533282330333}, {0.5979533282330333, 
      0.8015309209600329}, {-0.8015309209600329, 
      0.5979533282330333}}]}}, {}, {}, {{}, {}}},
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-0.8015309209600329, 0.8015309209600329}, {-0.8015309209600329,
    0.8015309209600329}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.6930470201984987`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%%%%%", ",", "%"}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{{}, {{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6], 
      LineBox[{{1., 0.}, {0., 1.}, {-1., 0.}, {0., -1.}, {1., 
       0.}}]}}, {}, {}, {{}, {}}}, {{}, {{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6], 
      LineBox[{{-0.8015309209600329, 
       0.5979533282330333}, {-0.5979533282330333, -0.8015309209600329}, {
       0.8015309209600329, -0.5979533282330333}, {0.5979533282330333, 
       0.8015309209600329}, {-0.8015309209600329, 
       0.5979533282330333}}]}}, {}, {}, {{}, {}}}},
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-1., 1.}, {-1., 1.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.693047020216095*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Question 2", "Subsubsection",
 FontSize->16],

Cell["Mots clefs : Random, Map, Table, TableForm.", "Text"],

Cell[TextData[{
 "a) Tirez au hasard un nombre entier ",
 StyleBox["n",
  FontSlant->"Italic"],
 " compris entre 13 et 24 (nombre d'\[EAcute]l\[EGrave]ves dans une classe).\n\
b) Tirez au hasard ",
 StyleBox["n",
  FontSlant->"Italic"],
 " nombres al\[EAcute]atoires entiers compris entre 1 et 40 (nombre de points \
obtenus \[AGrave] la derni\[EGrave]re \[EAcute]preuve par les \[EAcute]l\
\[EGrave]ves).\nc) D\[EAcute]finissez une fonction permettant d'obtenir la \
note \[AGrave] partir du nombre de points : ",
 StyleBox[" f",
  FontSlant->"Italic"],
 "(",
 StyleBox["n",
  FontSlant->"Italic"],
 " )= note\nd) Donnez le bar\[EGrave]me sous la forme d'une table : nombre de \
points dans la premi\[EGrave]re colonne et note dans la deuxi\[EGrave]me.\ne) \
Calculez les notes obtenues par les \[EAcute]l\[EGrave]ves.\n"
}], "Text"],

Cell["Question 2. Corrig\[EAcute]", "Text",
 FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"n", "=", 
  RowBox[{"Random", "[", 
   RowBox[{"Integer", ",", 
    RowBox[{"{", 
     RowBox[{"13", ",", "24"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData["14"], "Output",
 CellChangeTimes->{3.693047020248321*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"points", "=", 
  RowBox[{"Round", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Random", "[", 
      RowBox[{"Real", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "40"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", "n", "}"}]}], "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "25", ",", "32", ",", "32", ",", "28", ",", "3", ",", "31", ",", "2", ",", 
   "32", ",", "17", ",", "40", ",", "18", ",", "16", ",", "8", ",", "38"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.693047020271721*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", "p_", "]"}], ":=", 
  RowBox[{
   RowBox[{"6.", "/", "40"}], "*", "p"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"p", ",", 
      RowBox[{"f", "[", "p", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"p", ",", "10", ",", "40"}], "}"}]}], "]"}], "//", 
  "TableForm"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"10", "1.5000000000000002`"},
    {"11", "1.6500000000000004`"},
    {"12", "1.8000000000000003`"},
    {"13", "1.9500000000000002`"},
    {"14", "2.1000000000000005`"},
    {"15", "2.2500000000000004`"},
    {"16", "2.4000000000000004`"},
    {"17", "2.5500000000000003`"},
    {"18", "2.7`"},
    {"19", "2.8500000000000005`"},
    {"20", "3.0000000000000004`"},
    {"21", "3.1500000000000004`"},
    {"22", "3.3000000000000007`"},
    {"23", "3.4500000000000006`"},
    {"24", "3.6000000000000005`"},
    {"25", "3.7500000000000004`"},
    {"26", "3.9000000000000004`"},
    {"27", "4.050000000000001`"},
    {"28", "4.200000000000001`"},
    {"29", "4.3500000000000005`"},
    {"30", "4.500000000000001`"},
    {"31", "4.65`"},
    {"32", "4.800000000000001`"},
    {"33", "4.950000000000001`"},
    {"34", "5.1000000000000005`"},
    {"35", "5.250000000000001`"},
    {"36", "5.4`"},
    {"37", "5.550000000000001`"},
    {"38", "5.700000000000001`"},
    {"39", "5.8500000000000005`"},
    {"40", "6.000000000000001`"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.6930470203424587`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{"f", ",", "points"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "3.7500000000000004`", ",", "4.800000000000001`", ",", "4.800000000000001`",
    ",", "4.200000000000001`", ",", "0.45000000000000007`", ",", "4.65`", ",",
    "0.30000000000000004`", ",", "4.800000000000001`", ",", 
   "2.5500000000000003`", ",", "6.000000000000001`", ",", "2.7`", ",", 
   "2.4000000000000004`", ",", "1.2000000000000002`", ",", 
   "5.700000000000001`"}], "}"}]], "Output",
 CellChangeTimes->{3.693047020381297*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Question 3", "Subsubsection",
 FontSize->16],

Cell["Mots clefs : Random, Table, ListPlot, Plot.", "Text"],

Cell[TextData[{
 "a) Tirez au hasard un nombre entier ",
 StyleBox["n",
  FontSlant->"Italic"],
 " compris entre 29 et 31.\nb) Fabriquez la liste des  ",
 StyleBox["n ",
  FontSlant->"Italic"],
 StyleBox["premiers nombres impairs.\nc) Repr\[EAcute]sentez graphiquement \
ces nombres en fonction de leur position dans la liste.\nd) Donnez \
l'\[EAcute]quation de la droite qui passe par tous ces points.\ne) Superposez \
sur un m\[EHat]me syst\[EGrave]me d'axes les points et la droite.\n",
  FontVariations->{"CompatibilityType"->0}]
}], "Text"],

Cell["Question3. Corrig\[EAcute]", "Text",
 FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"n", "=", 
  RowBox[{"Random", "[", 
   RowBox[{"Integer", ",", 
    RowBox[{"{", 
     RowBox[{"29", ",", "31"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData["29"], "Output",
 CellChangeTimes->{3.693047020411728*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"nb", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"2", "*", "i"}], "+", "1"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "n"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "3", ",", "5", ",", "7", ",", "9", ",", "11", ",", "13", ",", 
   "15", ",", "17", ",", "19", ",", "21", ",", "23", ",", "25", ",", "27", 
   ",", "29", ",", "31", ",", "33", ",", "35", ",", "37", ",", "39", ",", 
   "41", ",", "43", ",", "45", ",", "47", ",", "49", ",", "51", ",", "53", 
   ",", "55", ",", "57", ",", "59"}], "}"}]], "Output",
 CellChangeTimes->{3.693047020434484*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "nb", "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxdz7kKAjEQgOGwlaWFhYWIyiIiIt7rnXjfzT6CYO0rzCP7CCr5m5mF5eMP
u8mk/nznr8Q5V/29f+Pz8VoXIgVjCYtYMesNLGPTfNfGGnbNf31McWj2GWML
M7PvDDu4MOessIdenyuBHtAbPYds6RG903PJnp7QBz2nHOkpfdJzy5me0xd9
D7nSS/qm7yV3ek0/whfw9yTu
      "]]}, {}}, {}, {}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 30.}, {0, 59.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.6930470204895763`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"2", "x"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "30"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
     1.], LineBox[CompressedData["
1:eJwtzGtMk2cYgGGEEcEEhgijMMQAhTFKaTm1lPble2qhXaFfw5w4cTo5DrcA
OgVUMuQQBziJcaCO4Uaka9gURWZQlDk+UhcHS5zhoK3dxDmnyRRpG84Y0rE8
74871787NH/vliJXFxcXdrX/nZ8c+YV/3JhaXHy2bMVp4yY6eIeVlnrGUy6d
JR/bOPC/m8+ztDAXvccPHxmb5iqzLpjdLAbGcXXd507jS279dEDLkvkK89lr
VWfXZLzgHt3U7501m5iTnduH3U8949T85w8d5jGmvF+QFpxl5ZbM0tN289/M
MDd4/ih3m7ml+t44aphhGhr12u/SF5jgRzee5cesUN3Br2T3hbUqN4iyDG59
vcEbWuLUP+mzPah+8KBNPOTw8aIGwnFjzV3XwPXwhtbZ4R4fAgGnnhxr/XYD
NRQat2pTx+b9qeFwQNa5e6SeR42ENNtyVdmTIGoU1CnezQtK3kgVQErP131H
uE1UIZQsOmqHvUKpYlgS+EwKs8OocaDovnjuzJlwajw4fDNyt5n41AT4pzl3
2/61kdQk0NoOap9K3qJKYKrA40BfTRRVCmp+gGuj6W1qMvjeiTzRa4umyiC4
6XKWRBJDlUObQOazoVhIVcBvQcqkmS9jqQRSgk0nRfdF1FTwdjOU59WLUVeA
kLpNipzIOLQLwDNi57Utv8ahGiXEksDLB3fFow+VsH/S91aGSwJauxlsM83Z
2rYElKcCjeh2u1aYiF5SweCM/NXC74moPg3KYuKto0VJ6NM0INOFEzmeEvRY
OqTzeayXQYKGqSGq9otDJqkU7VdDdJGMi7BK0R0aKBrcc7Tv02TUoQHu3ESh
w1+Gnn4HZn9wLoj6ZahUCwUR3Z7tbAp6RwuO6FbJFXsKui8DrhtfPZ5rkqMe
mbAjLRzkIQq0IxPeLG28ETukQEEH/utKfmTfJ6hZB0ZVdZU9h6APdBBffULV
upOgf+pAb++9Z8kj6GMdNNyfWyooIeiUDhYNNZur6gi6hgWrvHW8q5ugAhb2
VBi/0fYQNJaF+Z6rRVO9BBWz4BtmWYi7RlAJC5keG4N/HiIosHBzoqtw/B5B
s1nI8L4urLQQdDsLFs3IPO8Pgn7AwuzAi6YP/yJoLgvCTvGlf58T9JPVn1VZ
2fySoKWrP7/3GJGdoPtY+KixYrR8jqAVq7+hhvaARYIeYqF++auCgWWCVrHg
k3g+ZtcKQatZ6CgdmHM6CVrDwn8+xicF
      "]]}}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 30}, {-0.9999987755102041, 58.99999877551021}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.6930470205274*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%", ",", "%%"}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwtzGtMk2cYgGGEEcEEhgijMMQAhTFKaTm1lPble2qhXaFfw5w4cTo5DrcA
OgVUMuQQBziJcaCO4Uaka9gURWZQlDk+UhcHS5zhoK3dxDmnyRRpG84Y0rE8
74871787NH/vliJXFxcXdrX/nZ8c+YV/3JhaXHy2bMVp4yY6eIeVlnrGUy6d
JR/bOPC/m8+ztDAXvccPHxmb5iqzLpjdLAbGcXXd507jS279dEDLkvkK89lr
VWfXZLzgHt3U7501m5iTnduH3U8949T85w8d5jGmvF+QFpxl5ZbM0tN289/M
MDd4/ih3m7ml+t44aphhGhr12u/SF5jgRzee5cesUN3Br2T3hbUqN4iyDG59
vcEbWuLUP+mzPah+8KBNPOTw8aIGwnFjzV3XwPXwhtbZ4R4fAgGnnhxr/XYD
NRQat2pTx+b9qeFwQNa5e6SeR42ENNtyVdmTIGoU1CnezQtK3kgVQErP131H
uE1UIZQsOmqHvUKpYlgS+EwKs8OocaDovnjuzJlwajw4fDNyt5n41AT4pzl3
2/61kdQk0NoOap9K3qJKYKrA40BfTRRVCmp+gGuj6W1qMvjeiTzRa4umyiC4
6XKWRBJDlUObQOazoVhIVcBvQcqkmS9jqQRSgk0nRfdF1FTwdjOU59WLUVeA
kLpNipzIOLQLwDNi57Utv8ahGiXEksDLB3fFow+VsH/S91aGSwJauxlsM83Z
2rYElKcCjeh2u1aYiF5SweCM/NXC74moPg3KYuKto0VJ6NM0INOFEzmeEvRY
OqTzeayXQYKGqSGq9otDJqkU7VdDdJGMi7BK0R0aKBrcc7Tv02TUoQHu3ESh
w1+Gnn4HZn9wLoj6ZahUCwUR3Z7tbAp6RwuO6FbJFXsKui8DrhtfPZ5rkqMe
mbAjLRzkIQq0IxPeLG28ETukQEEH/utKfmTfJ6hZB0ZVdZU9h6APdBBffULV
upOgf+pAb++9Z8kj6GMdNNyfWyooIeiUDhYNNZur6gi6hgWrvHW8q5ugAhb2
VBi/0fYQNJaF+Z6rRVO9BBWz4BtmWYi7RlAJC5keG4N/HiIosHBzoqtw/B5B
s1nI8L4urLQQdDsLFs3IPO8Pgn7AwuzAi6YP/yJoLgvCTvGlf58T9JPVn1VZ
2fySoKWrP7/3GJGdoPtY+KixYrR8jqAVq7+hhvaARYIeYqF++auCgWWCVrHg
k3g+ZtcKQatZ6CgdmHM6CVrDwn8+xicF
       "]]}}, {}, {}}, {{}, {{}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxdz7kKAjEQgOGwlaWFhYWIyiIiIt7rnXjfzT6CYO0rzCP7CCr5m5mF5eMP
u8mk/nznr8Q5V/29f+Pz8VoXIgVjCYtYMesNLGPTfNfGGnbNf31McWj2GWML
M7PvDDu4MOessIdenyuBHtAbPYds6RG903PJnp7QBz2nHOkpfdJzy5me0xd9
D7nSS/qm7yV3ek0/whfw9yTu
       "]]}, {}}, {}, {}, {{}, {}}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 30}, {-0.9999987755102041, 58.99999877551021}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.693047020549589*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
PrintingStyleEnvironment->"Printout",
WindowToolbars->"RulerBar",
WindowSize->{889, 651},
WindowMargins->{{338, Automatic}, {Automatic, 22}},
PrintingCopies->1,
PrintingPageRange->{1, 1},
PageHeaders->{{Inherited, Inherited, Inherited}, {
  "Applications des math\[EAcute]matiques. R\[EAcute]gion des \
D\[EAcute]lices", Inherited, "401AMos"}},
PageFooters->{{Inherited, Inherited, Inherited}, {
   Cell[
    TextData[{
      ValueBox["FileName"]}], "Footer"], Inherited, 
   Cell[
    TextData[{"bernard.vuilleumier@edu.ge.ch  ", 
      ValueBox["Date"]}], "Footer"]}},
PageFooterLines->{Inherited, True},
PrintingOptions->{"PrintCellBrackets"->False,
"PrintMultipleHorizontalPages"->False,
"PrintRegistrationMarks"->True,
"PrintingMargins"->{{85, 28.3125}, {72, 72}}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
ShowCellLabel->False,
Magnification->1,
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 28, \
2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 75, 1, 62, "Title"],
Cell[CellGroupData[{
Cell[680, 27, 50, 1, 31, "Subsubsection"],
Cell[733, 30, 58, 0, 30, "Text"],
Cell[794, 32, 924, 25, 144, "Text"],
Cell[1721, 59, 58, 1, 30, "Text"],
Cell[1782, 62, 383, 12, 54, "Input"],
Cell[2168, 76, 419, 13, 32, "Input"],
Cell[CellGroupData[{
Cell[2612, 93, 268, 6, 32, "Input"],
Cell[2883, 101, 1344, 34, 399, "Output"]
}, Open  ]],
Cell[4242, 138, 652, 22, 54, "Input"],
Cell[4897, 162, 124, 4, 32, "Input"],
Cell[CellGroupData[{
Cell[5046, 170, 295, 6, 32, "Input"],
Cell[5344, 178, 1598, 38, 399, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6979, 221, 84, 2, 32, "Input"],
Cell[7066, 225, 1762, 41, 399, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8877, 272, 50, 1, 31, "Subsubsection"],
Cell[8930, 275, 59, 0, 30, "Text"],
Cell[8992, 277, 834, 20, 144, "Text"],
Cell[9829, 299, 58, 1, 30, "Text"],
Cell[CellGroupData[{
Cell[9912, 304, 165, 5, 32, "Input"],
Cell[10080, 311, 71, 1, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10188, 317, 294, 9, 32, "Input"],
Cell[10485, 328, 256, 6, 32, "Output"]
}, Open  ]],
Cell[10756, 337, 128, 4, 32, "Input"],
Cell[CellGroupData[{
Cell[10909, 345, 263, 9, 32, "Input"],
Cell[11175, 356, 1578, 46, 539, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12790, 407, 84, 2, 32, "Input"],
Cell[12877, 411, 477, 9, 32, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[13403, 426, 50, 1, 31, "Subsubsection"],
Cell[13456, 429, 59, 0, 30, "Text"],
Cell[13518, 431, 545, 12, 125, "Text"],
Cell[14066, 445, 57, 1, 30, "Text"],
Cell[CellGroupData[{
Cell[14148, 450, 165, 5, 32, "Input"],
Cell[14316, 457, 71, 1, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14424, 463, 218, 7, 32, "Input"],
Cell[14645, 472, 439, 8, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15121, 485, 62, 1, 32, "Input"],
Cell[15186, 488, 1576, 38, 245, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16799, 531, 204, 7, 32, "Input"],
Cell[17006, 540, 2733, 58, 236, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19776, 603, 81, 2, 32, "Input"],
Cell[19860, 607, 3135, 65, 270, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

